Bug 10737 - idmap: irritating level 1 debug message from idmap_init_domain()
idmap: irritating level 1 debug message from idmap_init_domain()
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2014-07-23 09:46 UTC by Michael Adam
Modified: 2014-09-01 19:18 UTC (History)
1 user (show)

See Also:

Fix patch picked from master (1.42 KB, patch)
2014-07-28 11:53 UTC, Michael Adam
obnox: review+
vl: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2014-07-23 09:46:37 UTC
idmap_init_domain() takes a parameter whether range checking should be
performed. It is called with this parameter set to true from idmap_passdb_domain(): There is usually no rang for passdb.

So for our local sam /passdb domain, we see the level 1 log
message "idmap range not specified for domain FOOBAR".
This is misleading at least.
Comment 1 Michael Adam 2014-07-28 11:53:37 UTC
Created attachment 10154 [details]
Fix patch picked from master

This is the bugfix patch, picked from master.
Comment 2 Michael Adam 2014-07-28 11:57:47 UTC
Assigning to Karolin for inclusion into 4.1.NEXT
Comment 3 Karolin Seeger 2014-08-03 18:38:25 UTC
Pushed to autobuild-v4-1-test.
Comment 4 Karolin Seeger 2014-09-01 19:18:05 UTC
(In reply to comment #3)
> Pushed to autobuild-v4-1-test.

Pushed to v4-1-test.
Closing out bug report.